% !TeX spellcheck = en_GB
The data analysed so far is a timeseries with 6 columns in its raw status (3-axis accelerometer, 3-axis gyroscope). The filtering step in section \ref{ssec:filtering} added 6 additional columns (3-axis body accelerometer, 3-axis gravity accelerometer) and removed the raw 3-axis accelerometer data, leaving 9 columns. Furthermore, the average timeseries length for each activity of interest is $873$ measurements. For analysing this data using normal machine learning models the time series matrix needs to be transformed into an array. This can be achieved by extracting relevant features of each timeseries and turning the series into single values. \\

For each of the 12 time series the following static features are calculated:
\begin{itemize}
	\item Min, Max, Mean, Standard deviation, Median, Variance
	\item Skewness: measuring the asymmetry in the data / deviation from a standard distribution (horizontal deviation)
	\item Kurtosis: measuring how many outliers occur (vertical deviation)
	\item Interquartile range: measure for spread of data
	\item Energy: sum of squares, deviation of data from mean value
	\item Max to min ratio,  Max to min difference
\end{itemize}
Those features represent some common calculations done on time series data. The actual importance of each feature is analysed in a later step in section \ref{ssec:feature_selection}.


Furthermore, following features are calculated as a relation between the different axes of each measurement, namely body accelerometer, gravity accelerometer, gyroscope measurements:
\begin{itemize}
	\item Correlation between xy, xz and yz
	\item Average magnitude
	\item Average angle between xy, xz and yz
\end{itemize}


This feature generation turns the time series data with 9 columns into a matrix with 128 columns (features) and 856 rows, where each row belongs to one of the six activities.
